import 'dart:convert';
import 'package:http/http.dart' as http;
import 'package:flutter/foundation.dart';
import 'package:miapp_flutter/environments/archivo.dart';

class CategoryApi {

  final String apiUrl = 'categoria';

  // Método para obtener las categorías
  Future<Map<String, dynamic>> getCategories() async {
    String url = '${apiApp}/$apiUrl?offset=0&max=100';
    if (kDebugMode) {
      print('Url -> $url');

    }
    try {
      final response = await http.get(Uri.parse(url));

      // Verifica el estado de la respuesta
      if (response.statusCode == 200) {
        return {
          'statusCode': response.statusCode,
          'body': response.body,
        };
      } else {
        return {
          'statusCode': response.statusCode,
          'body': 'Error: ${response.reasonPhrase}',
        };
      }
    } catch (e) {
      return {
        'statusCode': 501,
        'body': 'Error: $e',
      };
    }
  }
}
